- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# StateSet File Reference

`#include <osg/Object>`
`#include <osg/StateAttribute>`
`#include <osg/ref_ptr>`
`#include <map>`
`#include <vector>`
`#include <string>`

Include dependency graph for StateSet:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Classes
class | osg::StateSet
| Encapsulates OpenGL state modes and attributes. More...
## Defines
#define | OSG_STATESET 1
#define | GL_RESCALE_NORMAL 0x803A

## Define Documentation

#define GL_RESCALE_NORMAL 0x803A

#define OSG_STATESET 1